petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexCreateFluentFromFile

Create a DMPlex mesh from a Fluent mesh file

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateFluentFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

| comm | - The MPI communicator
| filename | - Name of the Fluent mesh file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

### See Also

DMPlexCreateFromFile(), DMPlexCreateFluent(), DMPlexCreate()

Level:beginner
Location:src/dm/impls/plex/plexfluent.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages